Bug 116542 - xfig gives font warnings
xfig gives font warnings
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xfig (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-22 21:52 EST by Damian Menscher
Modified: 2007-04-18 13:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-21 06:47:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Menscher 2004-02-22 21:52:24 EST
Description of problem:
When running xfig, it gives various font warnings.  Not entirely sure 
what they mean, but they're scaring my users.  Might also be an 
indication of a bigger problem, like font dependencies not being met.

Version-Release number of selected component (if applicable):
xfig-3.2.3d-12

How reproducible:
Always

Steps to Reproduce:
1. xfig

Actual Results:
~>xfig
Warning: Missing charsets in String to FontSet conversion
Warning: Cannot convert string 
"-*-times-medium-r-normal--16-*-*-*-*-*-*-*,
-*-*-medium-r-normal--16-*-*-*-*-*-*-*,*--16-*" to type FontSet
Warning: Missing charsets in String to FontSet conversion
Warning: Cannot convert string 
"-*-times-medium-r-normal--16-*-*-*-*-*-*-*,
-*-*-medium-r-normal--16-*-*-*-*-*-*-*,-*-*-*-r-*--16-*-*-*-*-*-*-*" 
to type FontSet

Expected Results:  No warnings.
Comment 1 Vaibhav 2005-03-18 16:07:33 EST
I am also getting similar warning messages on starting xfig.
I am using Fedora core 3. XFig version 3.2.4
Don't know if it has anything to do with other settings. Anyways, I feel it
worth mentioning that environment variable LANG=C in my account. Also, the
graphical display I receive is through, vncserver (ver 4.0-8).

Vaibhav
Comment 2 Ngo Than 2005-03-21 06:47:15 EST
it seems the times-medium-r-normal--16- is not included in RHL9. in this case,
it falls back on fixed font. it's now fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.